import * as React from 'react'
import {useState} from 'react'
import {LeftOutlined,DownOutlined,RightOutlined } from '@ant-design/icons';
import './../css/order.css'
import { useHistory,Link ,withRouter} from 'react-router-dom'


const Order: React.FC = () => {
  const history = useHistory()
  const [openFlag, setOpenFlag] = useState<any>([true,false,false,false])
  const [customData, setCustomData] = useState<any>([
    {
      id:1,
      name:'第十六届商学院戈壁挑战赛',
      team:'AB队'
    },
    {
      name:'第十六届商学院戈壁挑战赛',
      team:'AB队'
    },
    {
      name:'第十六届商学院戈壁挑战赛',
      team:'AB队'
    }
  ])
  const open = async (index:any)=>{
        let arr = [...openFlag]
        arr[index] = !arr[index]
        setOpenFlag(arr)
    
  }
  const Goto = async (props:any,id:any)=>{
    // // 页面跳转方法
    history.push({pathname: '/Person', state: { id }})
  }

  return (
    <div>
      <div className="orderItem"><LeftOutlined/>订单信息</div>
      <div className="orders">
        <div className="flex spaceBetween head">
          <p>客户中心{openFlag}</p>
          <p onClick={open.bind(this,0)}>
            {
              openFlag[0]?<DownOutlined/>:<RightOutlined/>
            }
          </p>
        </div>
        {
          openFlag[0]?customData.map((e:any) => 
            <div className="flex spaceBetween pad20">
              <div className="game">
                <p className='greyWord'>赛事名称</p>
                <p>{e.name}</p>
              </div>
              <div className="game">
                <p className='greyWord'>分组</p>
                <p>{e.team}</p>
              </div>
              <div className="jt" onClick={Goto.bind(this,e.id)}><RightOutlined/></div>
            </div>
          ):null
        }
      </div>
      <div className="orders">
        <div className="flex spaceBetween head">
          <p>戈有好物</p>
          <p onClick={open.bind(this,1)}>
            {
              openFlag[1]?<DownOutlined/>:<RightOutlined/>
            }
          </p>
        </div>
      </div>
      <div className="orders">
        <div className="flex spaceBetween head">
          <p>纷享销客-商机2.0</p>
          <p onClick={open.bind(this,2)}>
            {
              openFlag[2]?<DownOutlined/>:<RightOutlined/>
            }
          </p>
        </div>
      </div>
      <div className="orders">
        <div className="flex spaceBetween head">
          <p>纷享销客-订单</p>
          <p onClick={open.bind(this,3)}>
            {
              openFlag[3]?<DownOutlined/>:<RightOutlined/>
            }
          </p>
        </div>
      </div>

      
    </div>
  )
}

export default Order
